Creare un oggetto DataflowProfileResource
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.IoTOperations/instances/{instanceName}/dataflowProfiles/{dataflowProfileName}?api-version=2026-07-01
Parametri dell'URI
| Nome |
In |
Necessario |
Tipo |
Descrizione |
|
dataflowProfileName
|
path |
True
|
string
minLength: 3 maxLength: 63 pattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$
|
Nome della risorsa dataflowProfile dell'istanza
|
|
instanceName
|
path |
True
|
string
minLength: 3 maxLength: 63 pattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$
|
Nome dell'istanza.
|
|
resourceGroupName
|
path |
True
|
string
minLength: 1 maxLength: 90
|
Nome del gruppo di risorse. Il nome è insensibile alle maiuscole e minuscole.
|
|
subscriptionId
|
path |
True
|
string
(uuid)
|
ID della sottoscrizione di destinazione. Il valore deve essere un UUID.
|
|
api-version
|
query |
True
|
string
minLength: 1
|
Versione dell'API da usare per questa operazione.
|
Corpo della richiesta
Risposte
| Nome |
Tipo |
Descrizione |
|
200 OK
|
DataflowProfileResource
|
Operazione di aggiornamento della risorsa 'DataflowProfileResource' riuscita
|
|
201 Created
|
DataflowProfileResource
|
Operazione di creazione della risorsa 'DataflowProfileResource' riuscita
Intestazioni
- Azure-AsyncOperation: string
- Retry-After: integer
|
|
Other Status Codes
|
ErrorResponse
|
Risposta di errore imprevista.
|
Sicurezza
azure_auth
Flusso OAuth2 di Azure Active Directory.
Tipo:
oauth2
Flow:
implicit
URL di autorizzazione:
https://login.microsoftonline.com/common/oauth2/authorize
Ambiti
| Nome |
Descrizione |
|
user_impersonation
|
impersonare il tuo account utente
|
Esempio
DataflowProfile_CreateOrUpdate
Esempio di richiesta
PUT https://management.azure.com/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/resource-name123?api-version=2026-07-01
{
"properties": {
"diagnostics": {
"logs": {
"level": "rnmwokumdmebpmfxxxzvvjfdywotav"
},
"metrics": {
"prometheusPort": 7581
}
},
"instanceCount": 14
},
"extendedLocation": {
"name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
"type": "CustomLocation"
}
}
import com.azure.resourcemanager.iotoperations.models.DataflowProfileProperties;
import com.azure.resourcemanager.iotoperations.models.DiagnosticsLogs;
import com.azure.resourcemanager.iotoperations.models.ExtendedLocation;
import com.azure.resourcemanager.iotoperations.models.ExtendedLocationType;
import com.azure.resourcemanager.iotoperations.models.Metrics;
import com.azure.resourcemanager.iotoperations.models.ProfileDiagnostics;
/**
* Samples for DataflowProfile CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2026-07-01/DataflowProfile_CreateOrUpdate_MaximumSet_Gen.json
*/
/**
* Sample code: DataflowProfile_CreateOrUpdate.
*
* @param manager Entry point to IoTOperationsManager.
*/
public static void
dataflowProfileCreateOrUpdate(com.azure.resourcemanager.iotoperations.IoTOperationsManager manager) {
manager.dataflowProfiles().define("resource-name123")
.withExistingInstance("rgiotoperations", "resource-name123")
.withProperties(new DataflowProfileProperties().withDiagnostics(
new ProfileDiagnostics().withLogs(new DiagnosticsLogs().withLevel("rnmwokumdmebpmfxxxzvvjfdywotav"))
.withMetrics(new Metrics().withPrometheusPort(7581)))
.withInstanceCount(14))
.withExtendedLocation(new ExtendedLocation().withName(
"/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123")
.withType(ExtendedLocationType.CUSTOM_LOCATION))
.create();
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.iotoperations import IoTOperationsMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-iotoperations
# USAGE
python dataflow_profile_create_or_update_maximum_set_gen.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = IoTOperationsMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.dataflow_profile.begin_create_or_update(
resource_group_name="rgiotoperations",
instance_name="resource-name123",
dataflow_profile_name="resource-name123",
resource={
"extendedLocation": {
"name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
"type": "CustomLocation",
},
"properties": {
"diagnostics": {
"logs": {"level": "rnmwokumdmebpmfxxxzvvjfdywotav"},
"metrics": {"prometheusPort": 7581},
},
"instanceCount": 14,
},
},
).result()
print(response)
# x-ms-original-file: 2026-07-01/DataflowProfile_CreateOrUpdate_MaximumSet_Gen.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armiotoperations_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/iotoperations/armiotoperations"
)
// Generated from example definition: 2026-07-01/DataflowProfile_CreateOrUpdate_MaximumSet_Gen.json
func ExampleDataflowProfileClient_BeginCreateOrUpdate_dataflowProfileCreateOrUpdate() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armiotoperations.NewClientFactory("F8C729F9-DF9C-4743-848F-96EE433D8E53", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewDataflowProfileClient().BeginCreateOrUpdate(ctx, "rgiotoperations", "resource-name123", "resource-name123", armiotoperations.DataflowProfileResource{
Properties: &armiotoperations.DataflowProfileProperties{
Diagnostics: &armiotoperations.ProfileDiagnostics{
Logs: &armiotoperations.DiagnosticsLogs{
Level: to.Ptr("rnmwokumdmebpmfxxxzvvjfdywotav"),
},
Metrics: &armiotoperations.Metrics{
PrometheusPort: to.Ptr[int32](7581),
},
},
InstanceCount: to.Ptr[int32](14),
},
ExtendedLocation: &armiotoperations.ExtendedLocation{
Name: to.Ptr("/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123"),
Type: to.Ptr(armiotoperations.ExtendedLocationTypeCustomLocation),
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
res, err := poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to poll the result: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armiotoperations.DataflowProfileClientCreateOrUpdateResponse{
// DataflowProfileResource: armiotoperations.DataflowProfileResource{
// Properties: &armiotoperations.DataflowProfileProperties{
// Diagnostics: &armiotoperations.ProfileDiagnostics{
// Logs: &armiotoperations.DiagnosticsLogs{
// Level: to.Ptr("rnmwokumdmebpmfxxxzvvjfdywotav"),
// },
// Metrics: &armiotoperations.Metrics{
// PrometheusPort: to.Ptr[int32](7581),
// },
// },
// InstanceCount: to.Ptr[int32](14),
// ProvisioningState: to.Ptr(armiotoperations.ProvisioningStateSucceeded),
// },
// ExtendedLocation: &armiotoperations.ExtendedLocation{
// Name: to.Ptr("/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123"),
// Type: to.Ptr(armiotoperations.ExtendedLocationTypeCustomLocation),
// },
// ID: to.Ptr("/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/resource-name123"),
// Name: to.Ptr("bwhcjsnnfnrmbixamyxjau"),
// Type: to.Ptr("Microsoft.IoTOperations/instances/dataflowProfiles"),
// SystemData: &armiotoperations.SystemData{
// CreatedBy: to.Ptr("contosouser"),
// CreatedByType: to.Ptr(armiotoperations.CreatedByTypeUser),
// CreatedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2024-08-09T18:13:29.389Z"); return t}()),
// LastModifiedBy: to.Ptr("contosouser"),
// LastModifiedByType: to.Ptr(armiotoperations.CreatedByTypeUser),
// LastModifiedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2024-08-09T18:13:29.389Z"); return t}()),
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { IoTOperationsClient } = require("@azure/arm-iotoperations");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to create a DataflowProfileResource
*
* @summary create a DataflowProfileResource
* x-ms-original-file: 2026-07-01/DataflowProfile_CreateOrUpdate_MaximumSet_Gen.json
*/
async function dataflowProfileCreateOrUpdate() {
const credential = new DefaultAzureCredential();
const subscriptionId = "F8C729F9-DF9C-4743-848F-96EE433D8E53";
const client = new IoTOperationsClient(credential, subscriptionId);
const result = await client.dataflowProfile.createOrUpdate(
"rgiotoperations",
"resource-name123",
"resource-name123",
{
properties: {
diagnostics: {
logs: { level: "rnmwokumdmebpmfxxxzvvjfdywotav" },
metrics: { prometheusPort: 7581 },
},
instanceCount: 14,
},
extendedLocation: {
name: "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
type: "CustomLocation",
},
},
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Risposta di esempio
{
"properties": {
"diagnostics": {
"logs": {
"level": "rnmwokumdmebpmfxxxzvvjfdywotav"
},
"metrics": {
"prometheusPort": 7581
}
},
"instanceCount": 14,
"provisioningState": "Succeeded"
},
"extendedLocation": {
"name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
"type": "CustomLocation"
},
"id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/resource-name123",
"name": "bwhcjsnnfnrmbixamyxjau",
"type": "Microsoft.IoTOperations/instances/dataflowProfiles",
"systemData": {
"createdBy": "contosouser",
"createdByType": "User",
"createdAt": "2024-08-09T18:13:29.389Z",
"lastModifiedBy": "contosouser",
"lastModifiedByType": "User",
"lastModifiedAt": "2024-08-09T18:13:29.389Z"
}
}
Azure-AsyncOperation: https://contoso.com/operationstatus
{
"properties": {
"diagnostics": {
"logs": {
"level": "rnmwokumdmebpmfxxxzvvjfdywotav"
},
"metrics": {
"prometheusPort": 7581
}
},
"instanceCount": 14,
"provisioningState": "Succeeded"
},
"extendedLocation": {
"name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
"type": "CustomLocation"
},
"id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/resource-name123",
"name": "bwhcjsnnfnrmbixamyxjau",
"type": "Microsoft.IoTOperations/instances/dataflowProfiles",
"systemData": {
"createdBy": "contosouser",
"createdByType": "User",
"createdAt": "2024-08-09T18:13:29.389Z",
"lastModifiedBy": "contosouser",
"lastModifiedByType": "User",
"lastModifiedAt": "2024-08-09T18:13:29.389Z"
}
}
DataflowProfile_CreateOrUpdate_Minimal
Esempio di richiesta
PUT https://management.azure.com/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/aio-dataflowprofile?api-version=2026-07-01
{
"properties": {
"instanceCount": 1
},
"extendedLocation": {
"name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
"type": "CustomLocation"
}
}
import com.azure.resourcemanager.iotoperations.models.DataflowProfileProperties;
import com.azure.resourcemanager.iotoperations.models.ExtendedLocation;
import com.azure.resourcemanager.iotoperations.models.ExtendedLocationType;
/**
* Samples for DataflowProfile CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2026-07-01/DataflowProfile_CreateOrUpdate_Minimal.json
*/
/**
* Sample code: DataflowProfile_CreateOrUpdate_Minimal.
*
* @param manager Entry point to IoTOperationsManager.
*/
public static void
dataflowProfileCreateOrUpdateMinimal(com.azure.resourcemanager.iotoperations.IoTOperationsManager manager) {
manager.dataflowProfiles().define("aio-dataflowprofile")
.withExistingInstance("rgiotoperations", "resource-name123")
.withProperties(new DataflowProfileProperties().withInstanceCount(1))
.withExtendedLocation(new ExtendedLocation().withName(
"/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123")
.withType(ExtendedLocationType.CUSTOM_LOCATION))
.create();
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.iotoperations import IoTOperationsMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-iotoperations
# USAGE
python dataflow_profile_create_or_update_minimal.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = IoTOperationsMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.dataflow_profile.begin_create_or_update(
resource_group_name="rgiotoperations",
instance_name="resource-name123",
dataflow_profile_name="aio-dataflowprofile",
resource={
"extendedLocation": {
"name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
"type": "CustomLocation",
},
"properties": {"instanceCount": 1},
},
).result()
print(response)
# x-ms-original-file: 2026-07-01/DataflowProfile_CreateOrUpdate_Minimal.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armiotoperations_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/iotoperations/armiotoperations"
)
// Generated from example definition: 2026-07-01/DataflowProfile_CreateOrUpdate_Minimal.json
func ExampleDataflowProfileClient_BeginCreateOrUpdate_dataflowProfileCreateOrUpdateMinimal() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armiotoperations.NewClientFactory("F8C729F9-DF9C-4743-848F-96EE433D8E53", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewDataflowProfileClient().BeginCreateOrUpdate(ctx, "rgiotoperations", "resource-name123", "aio-dataflowprofile", armiotoperations.DataflowProfileResource{
Properties: &armiotoperations.DataflowProfileProperties{
InstanceCount: to.Ptr[int32](1),
},
ExtendedLocation: &armiotoperations.ExtendedLocation{
Name: to.Ptr("/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123"),
Type: to.Ptr(armiotoperations.ExtendedLocationTypeCustomLocation),
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
res, err := poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to poll the result: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armiotoperations.DataflowProfileClientCreateOrUpdateResponse{
// DataflowProfileResource: armiotoperations.DataflowProfileResource{
// Properties: &armiotoperations.DataflowProfileProperties{
// InstanceCount: to.Ptr[int32](1),
// ProvisioningState: to.Ptr(armiotoperations.ProvisioningStateSucceeded),
// },
// ExtendedLocation: &armiotoperations.ExtendedLocation{
// Name: to.Ptr("/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123"),
// Type: to.Ptr(armiotoperations.ExtendedLocationTypeCustomLocation),
// },
// ID: to.Ptr("/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/resource-name123"),
// Name: to.Ptr("bwhcjsnnfnrmbixamyxjau"),
// Type: to.Ptr("Microsoft.IoTOperations/instances/dataflowProfiles"),
// SystemData: &armiotoperations.SystemData{
// CreatedBy: to.Ptr("contosouser"),
// CreatedByType: to.Ptr(armiotoperations.CreatedByTypeUser),
// CreatedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2024-08-09T18:13:29.389Z"); return t}()),
// LastModifiedBy: to.Ptr("contosouser"),
// LastModifiedByType: to.Ptr(armiotoperations.CreatedByTypeUser),
// LastModifiedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2024-08-09T18:13:29.389Z"); return t}()),
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { IoTOperationsClient } = require("@azure/arm-iotoperations");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to create a DataflowProfileResource
*
* @summary create a DataflowProfileResource
* x-ms-original-file: 2026-07-01/DataflowProfile_CreateOrUpdate_Minimal.json
*/
async function dataflowProfileCreateOrUpdateMinimal() {
const credential = new DefaultAzureCredential();
const subscriptionId = "F8C729F9-DF9C-4743-848F-96EE433D8E53";
const client = new IoTOperationsClient(credential, subscriptionId);
const result = await client.dataflowProfile.createOrUpdate(
"rgiotoperations",
"resource-name123",
"aio-dataflowprofile",
{
properties: { instanceCount: 1 },
extendedLocation: {
name: "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
type: "CustomLocation",
},
},
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Risposta di esempio
{
"properties": {
"instanceCount": 1,
"provisioningState": "Succeeded"
},
"extendedLocation": {
"name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
"type": "CustomLocation"
},
"id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/resource-name123",
"name": "bwhcjsnnfnrmbixamyxjau",
"type": "Microsoft.IoTOperations/instances/dataflowProfiles",
"systemData": {
"createdBy": "contosouser",
"createdByType": "User",
"createdAt": "2024-08-09T18:13:29.389Z",
"lastModifiedBy": "contosouser",
"lastModifiedByType": "User",
"lastModifiedAt": "2024-08-09T18:13:29.389Z"
}
}
Azure-AsyncOperation: https://contoso.com/operationstatus
{
"properties": {
"instanceCount": 1,
"provisioningState": "Succeeded"
},
"extendedLocation": {
"name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
"type": "CustomLocation"
},
"id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/resource-name123",
"name": "bwhcjsnnfnrmbixamyxjau",
"type": "Microsoft.IoTOperations/instances/dataflowProfiles",
"systemData": {
"createdBy": "contosouser",
"createdByType": "User",
"createdAt": "2024-08-09T18:13:29.389Z",
"lastModifiedBy": "contosouser",
"lastModifiedByType": "User",
"lastModifiedAt": "2024-08-09T18:13:29.389Z"
}
}
DataflowProfile_CreateOrUpdate_Multi
Esempio di richiesta
PUT https://management.azure.com/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/aio-dataflowprofile?api-version=2026-07-01
{
"properties": {
"instanceCount": 3
},
"extendedLocation": {
"name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
"type": "CustomLocation"
}
}
import com.azure.resourcemanager.iotoperations.models.DataflowProfileProperties;
import com.azure.resourcemanager.iotoperations.models.ExtendedLocation;
import com.azure.resourcemanager.iotoperations.models.ExtendedLocationType;
/**
* Samples for DataflowProfile CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2026-07-01/DataflowProfile_CreateOrUpdate_Multi.json
*/
/**
* Sample code: DataflowProfile_CreateOrUpdate_Multi.
*
* @param manager Entry point to IoTOperationsManager.
*/
public static void
dataflowProfileCreateOrUpdateMulti(com.azure.resourcemanager.iotoperations.IoTOperationsManager manager) {
manager.dataflowProfiles().define("aio-dataflowprofile")
.withExistingInstance("rgiotoperations", "resource-name123")
.withProperties(new DataflowProfileProperties().withInstanceCount(3))
.withExtendedLocation(new ExtendedLocation().withName(
"/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123")
.withType(ExtendedLocationType.CUSTOM_LOCATION))
.create();
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.iotoperations import IoTOperationsMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-iotoperations
# USAGE
python dataflow_profile_create_or_update_multi.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = IoTOperationsMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.dataflow_profile.begin_create_or_update(
resource_group_name="rgiotoperations",
instance_name="resource-name123",
dataflow_profile_name="aio-dataflowprofile",
resource={
"extendedLocation": {
"name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
"type": "CustomLocation",
},
"properties": {"instanceCount": 3},
},
).result()
print(response)
# x-ms-original-file: 2026-07-01/DataflowProfile_CreateOrUpdate_Multi.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armiotoperations_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/iotoperations/armiotoperations"
)
// Generated from example definition: 2026-07-01/DataflowProfile_CreateOrUpdate_Multi.json
func ExampleDataflowProfileClient_BeginCreateOrUpdate_dataflowProfileCreateOrUpdateMulti() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armiotoperations.NewClientFactory("F8C729F9-DF9C-4743-848F-96EE433D8E53", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewDataflowProfileClient().BeginCreateOrUpdate(ctx, "rgiotoperations", "resource-name123", "aio-dataflowprofile", armiotoperations.DataflowProfileResource{
Properties: &armiotoperations.DataflowProfileProperties{
InstanceCount: to.Ptr[int32](3),
},
ExtendedLocation: &armiotoperations.ExtendedLocation{
Name: to.Ptr("/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123"),
Type: to.Ptr(armiotoperations.ExtendedLocationTypeCustomLocation),
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
res, err := poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to poll the result: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armiotoperations.DataflowProfileClientCreateOrUpdateResponse{
// DataflowProfileResource: armiotoperations.DataflowProfileResource{
// Properties: &armiotoperations.DataflowProfileProperties{
// InstanceCount: to.Ptr[int32](3),
// ProvisioningState: to.Ptr(armiotoperations.ProvisioningStateSucceeded),
// },
// ExtendedLocation: &armiotoperations.ExtendedLocation{
// Name: to.Ptr("/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123"),
// Type: to.Ptr(armiotoperations.ExtendedLocationTypeCustomLocation),
// },
// ID: to.Ptr("/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/resource-name123"),
// Name: to.Ptr("bwhcjsnnfnrmbixamyxjau"),
// Type: to.Ptr("Microsoft.IoTOperations/instances/dataflowProfiles"),
// SystemData: &armiotoperations.SystemData{
// CreatedBy: to.Ptr("contosouser"),
// CreatedByType: to.Ptr(armiotoperations.CreatedByTypeUser),
// CreatedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2024-08-09T18:13:29.389Z"); return t}()),
// LastModifiedBy: to.Ptr("contosouser"),
// LastModifiedByType: to.Ptr(armiotoperations.CreatedByTypeUser),
// LastModifiedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2024-08-09T18:13:29.389Z"); return t}()),
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { IoTOperationsClient } = require("@azure/arm-iotoperations");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to create a DataflowProfileResource
*
* @summary create a DataflowProfileResource
* x-ms-original-file: 2026-07-01/DataflowProfile_CreateOrUpdate_Multi.json
*/
async function dataflowProfileCreateOrUpdateMulti() {
const credential = new DefaultAzureCredential();
const subscriptionId = "F8C729F9-DF9C-4743-848F-96EE433D8E53";
const client = new IoTOperationsClient(credential, subscriptionId);
const result = await client.dataflowProfile.createOrUpdate(
"rgiotoperations",
"resource-name123",
"aio-dataflowprofile",
{
properties: { instanceCount: 3 },
extendedLocation: {
name: "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
type: "CustomLocation",
},
},
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Risposta di esempio
{
"properties": {
"instanceCount": 3,
"provisioningState": "Succeeded"
},
"extendedLocation": {
"name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
"type": "CustomLocation"
},
"id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/resource-name123",
"name": "bwhcjsnnfnrmbixamyxjau",
"type": "Microsoft.IoTOperations/instances/dataflowProfiles",
"systemData": {
"createdBy": "contosouser",
"createdByType": "User",
"createdAt": "2024-08-09T18:13:29.389Z",
"lastModifiedBy": "contosouser",
"lastModifiedByType": "User",
"lastModifiedAt": "2024-08-09T18:13:29.389Z"
}
}
Azure-AsyncOperation: https://contoso.com/operationstatus
{
"properties": {
"instanceCount": 3,
"provisioningState": "Succeeded"
},
"extendedLocation": {
"name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
"type": "CustomLocation"
},
"id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/resource-name123",
"name": "bwhcjsnnfnrmbixamyxjau",
"type": "Microsoft.IoTOperations/instances/dataflowProfiles",
"systemData": {
"createdBy": "contosouser",
"createdByType": "User",
"createdAt": "2024-08-09T18:13:29.389Z",
"lastModifiedBy": "contosouser",
"lastModifiedByType": "User",
"lastModifiedAt": "2024-08-09T18:13:29.389Z"
}
}
Definizioni
createdByType
Enumerazione
Tipo di identità che ha creato la risorsa.
| Valore |
Descrizione |
|
User
|
|
|
Application
|
|
|
ManagedIdentity
|
|
|
Key
|
|
DataflowProfileProperties
Oggetto
Proprietà della risorsa DataflowProfile
| Nome |
Tipo |
Valore predefinito |
Descrizione |
|
diagnostics
|
ProfileDiagnostics
|
|
Specifica definisce le identità desiderate delle impostazioni di diagnostica NBC.
|
|
healthState
|
ResourceHealthState
|
Unknown
|
Stato di integrità della risorsa.
|
|
instanceCount
|
integer
(int32)
minimum: 1 maximum: 20
|
1
|
Per ridimensionare manualmente il profilo del flusso di dati, specificare il numero massimo di istanze da eseguire.
|
|
provisioningState
|
ProvisioningState
|
|
Stato dell'ultima operazione.
|
|
status
|
DataflowProfileStatus
|
|
Lo stato del profilo dataflow.
|
DataflowProfileResource
Oggetto
Risorsa dataflowProfile dell'istanza
| Nome |
Tipo |
Descrizione |
|
extendedLocation
|
ExtendedLocation
|
Posizione perimetrale della risorsa.
|
|
id
|
string
(arm-id)
|
Identificatore di risorsa completamente qualificato per la risorsa. Ad esempio, "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
|
|
name
|
string
|
nome della risorsa.
|
|
properties
|
DataflowProfileProperties
|
Proprietà specifiche della risorsa.
|
|
systemData
|
systemData
|
Metadati di Azure Resource Manager contenenti le informazioni createdBy e modifiedBy.
|
|
type
|
string
|
Tipo di risorsa. Ad esempio, "Microsoft.Compute/virtualMachines" o "Microsoft.Storage/storageAccounts"
|
DataflowProfileStatus
Oggetto
Stato DataflowProfile.
DiagnosticsLogs
Oggetto
Proprietà del log di diagnostica
| Nome |
Tipo |
Valore predefinito |
Descrizione |
|
level
|
string
|
info
|
Livello di registrazione. Esempi: 'debug', 'info', 'warn', 'error', 'trace'.
|
ErrorAdditionalInfo
Oggetto
Informazioni aggiuntive sull'errore di gestione delle risorse.
| Nome |
Tipo |
Descrizione |
|
info
|
object
|
Informazioni aggiuntive.
|
|
type
|
string
|
Tipo di informazioni aggiuntive.
|
ErrorDetail
Oggetto
Dettagli dell'errore.
| Nome |
Tipo |
Descrizione |
|
additionalInfo
|
ErrorAdditionalInfo[]
|
Informazioni aggiuntive sull'errore.
|
|
code
|
string
|
Codice di errore.
|
|
details
|
ErrorDetail[]
|
Dettagli dell'errore.
|
|
message
|
string
|
Messaggio di errore.
|
|
target
|
string
|
La destinazione dell'errore.
|
ErrorResponse
Oggetto
Risposta di errore
ExtendedLocation
Oggetto
La posizione estesa è un'estensione delle località di Azure. Offrono un modo per usare i cluster Kubernetes con abilitazione di Azure ARC come percorsi di destinazione per la distribuzione delle istanze dei servizi di Azure.
| Nome |
Tipo |
Descrizione |
|
name
|
string
|
Nome della posizione estesa.
|
|
type
|
ExtendedLocationType
|
Tipo di ExtendedLocation.
|
ExtendedLocationType
Enumerazione
Enumerazione che definisce il tipo di ExtendedLocation accettato.
| Valore |
Descrizione |
|
CustomLocation
|
Tipo di posizione personalizzata
|
Metrics
Oggetto
Proprietà delle metriche di diagnostica
| Nome |
Tipo |
Valore predefinito |
Descrizione |
|
prometheusPort
|
integer
(int32)
minimum: 0 maximum: 65535
|
9600
|
Porta prometheus per esporre le metriche.
|
ProfileDiagnostics
Oggetto
Proprietà di diagnostica DataflowProfile
| Nome |
Tipo |
Descrizione |
|
logs
|
DiagnosticsLogs
|
Impostazioni del log di diagnostica per la risorsa.
|
|
metrics
|
Metrics
|
Impostazioni delle metriche per la risorsa.
|
ProvisioningState
Enumerazione
Enumerazione che definisce lo stato della risorsa.
| Valore |
Descrizione |
|
Succeeded
|
La risorsa è stata creata.
|
|
Failed
|
Creazione della risorsa non riuscita.
|
|
Canceled
|
La creazione della risorsa è stata annullata.
|
|
Provisioning
|
È in corso il provisioning della risorsa.
|
|
Updating
|
La risorsa è in fase di aggiornamento.
|
|
Deleting
|
La risorsa è in fase di eliminazione.
|
|
Accepted
|
La risorsa è stata accettata.
|
ResourceHealthState
Enumerazione
Stato di integrità della risorsa.
| Valore |
Descrizione |
|
Available
|
La risorsa è disponibile e funziona come previsto.
|
|
Degraded
|
L'integrità delle risorse è ridotta.
|
|
Unavailable
|
La risorsa non funziona come previsto.
|
|
Unknown
|
Lo stato della risorsa è sconosciuto.
|
ResourceHealthStatus
Oggetto
Rappresenta lo stato di salute di una risorsa.
| Nome |
Tipo |
Descrizione |
|
lastTransitionTime
|
string
|
Il timestamp (RFC3339) in cui lo stato sanitario è cambiato l'ultima volta.
|
|
lastUpdateTime
|
string
|
Il timestamp (RFC3339) quando lo stato sanitario è stato aggiornato l'ultima volta, anche se lo stato non è cambiato.
|
|
message
|
string
|
Un messaggio leggibile dall'uomo che descrive l'ultima transizione.
|
|
reasonCode
|
string
|
Codice di ragione unico di CamelCase che descrive la causa dell'ultima transizione dello stato di salute.
|
|
status
|
ResourceHealthState
|
Lo stato di salute elevato della risorsa.
|
systemData
Oggetto
Metadati relativi alla creazione e all'ultima modifica della risorsa.
| Nome |
Tipo |
Descrizione |
|
createdAt
|
string
(date-time)
|
Timestamp della creazione della risorsa (UTC).
|
|
createdBy
|
string
|
Identità che ha creato la risorsa.
|
|
createdByType
|
createdByType
|
Tipo di identità che ha creato la risorsa.
|
|
lastModifiedAt
|
string
(date-time)
|
Timestamp dell'ultima modifica della risorsa (UTC)
|
|
lastModifiedBy
|
string
|
Identità che ha modificato l'ultima volta la risorsa.
|
|
lastModifiedByType
|
createdByType
|
Tipo di identità che ha modificato l'ultima volta la risorsa.
|